**Source URL:** https://limited.veevavault.dev/safety/vault-api/api-reference/25.3/binders/update-binders/refresh-binder-auto-filing

# Refresh Binder Auto-Filing

<Aside>
This is only available in eTMF Vaults on binders configured with the TMF Reference Models.
</Aside>

 

<Endpoint path="/api/{version}/objects/binders/{binder_id}/actions" method="POST" />

## Headers

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `{binder_id}` | The binder `id` field value. |
</FieldTable>

## Body Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `action=refresh_auto_filing`<Requiredness type="required" /> | Trigger auto-filing for a specific binder. This is analogous to the **Refresh Auto-Filing** action in the UI. |
</FieldTable>

## Request

<CodeExample title="">
```bash
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "action=refresh_auto_filing" \
https://myvault.veevavault.com/api/v15.0/objects/binders/566/actions
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
    "responseStatus": "SUCCESS"
}
```
</CodeExample>

---

**Previous:** [Update Binder Version](/safety/vault-api/api-reference/25.3/binders/update-binders/update-binder-version)  
**Next:** [Delete Binders](/safety/vault-api/api-reference/25.3/binders/delete-binders)